#!/bin/sh

# reinhard@finalmedia.de
# Do 16. Mär 13:39:54 CET 2023

clear
exec >/dev/null
exec 2>/dev/null

# assume fullhd if not set
test -z "$SCREEN_WIDTH" && SCREEN_WIDTH=1920
test -z "$SCREEN_HEIGHT" && SCREEN_HEIGHT=1080

W="$SCREEN_WIDTH"
H="$SCREEN_HEIGHT"

# half tiled background
cat << EOF | ./fbdraw
c 250 80 0
r $W $H
s 120000
c 100 20 120
r $((W/2)) $H
EOF

sleep 1

# retro c64 background
cat << EOF | ./fbdraw
c 164 163 255
r $W $H
c 66 63 230
m 128 128
r $((W-128-128)) $((H-128-128))
EOF

