#!/bin/sh
#
# reinhard@finalmedia.de
# Do 16. Mär 15:33:30 CET 2023
#
# "just draw if left mouse button is hold"
#
# read mouse, filter out everything except
# left clicks. if left click found, extract
# pixel coords, and rewrite to "p x y r g b"
# command, piping to fbdraw
#

echo "leftclick to draw... STRG+C to exit."

exec 2>/dev/null
exec > /dev/null

stdbuf -i0 -o0 fbmouse | \
stdbuf -i0 -o0 grep "# click_left" | \
stdbuf -i0 -o0 cut -d " " -f 4- | \
stdbuf -i0 -o0 sed "s/^/p /g;s/$/ 255 255 255/g" | \
stdbuf -i0 -o0 fbdraw
