#!/bin/sh
#
# reinhard@finalmedia.de
# Di 14. Mär 15:25:16 CET 2023
#
# read mouse coords and button clicks
# write them to stdout as fbdraw commands
# start fbdraw and read from stdin
#
# left/right/middle click to change drawing color
#
clear
echo "Move your Mouse now... STRG+C to exit"
exec >/dev/null
exec 2>/dev/null

export FBDEV=/dev/fb0
export MOUSEDEVICE=/dev/input/mice

stdbuf -i0 -o0 ./fbmouse | \
stdbuf -i0 -o0 sed "s/^/m /g;s/$/\nr 16 16/g" | \
stdbuf -i0 -o0 sed "s/^m # click_right/c 255 255 255/g" | \
stdbuf -i0 -o0 sed "s/^m # click_left/c 255 30 0/g" | \
stdbuf -i0 -o0 sed "s/^m # click_middle/c 0 30 240/g" | \
stdbuf -i0 -o0 grep -v "#" | \
stdbuf -i0 -o0 ./fbdraw
